Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
openvrml::vec3d_parser Struct Reference

The implementation of the `openvrml::vec3d_p` functor parser. More...

`#include <openvrml/x3d_vrml_grammar.h>`

List of all members.

## Public Types

typedef openvrml::vec3d | result_t
| Parse result.

## Public Member Functions

template<typename ScannerT >
std::ptrdiff_t | operator() (const ScannerT &scan, result_t &result) const
| Parse a double-precision 3-component vector value.

## Detailed Description

The implementation of the `openvrml::vec3d_p` functor parser.

## Member Typedef Documentation

openvrml::vec3d openvrml::vec3d_parser::result_t

Parse result.

## Member Function Documentation

template<typename ScannerT >

std::ptrdiff_t openvrml::vec3d_parser::operator() | ( | const ScannerT & | scan,
|  | result_t & | result
| ) |  | const`[inline]`

Parse a double-precision 3-component vector value.

Parameters:

  [in] | scan | a scanner.
  [out] | result | the parse result.